Bug 6035 - Mobile interface for OPAC
Summary: Mobile interface for OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-01 15:04 UTC by Liz Rea
Modified: 2014-05-26 21:04 UTC (History)
7 users (show)

See Also:
Change sponsored?: Seeking cosponsors
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Koha Mobile Web App (29.03 KB, application/octet-stream)
2011-11-17 16:44 UTC, Stefano Bargioni
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2011-04-01 15:04:00 UTC
Koha could use a proper mobile interface for the OPAC.
Comment 1 Stefano Bargioni 2011-11-17 16:44:41 UTC
Created attachment 6328 [details]
Koha Mobile Web App
Comment 2 Stefano Bargioni 2011-11-17 16:46:07 UTC
Comment on attachment 6328 [details]
Koha Mobile Web App

(In reply to comment #0)
> Koha could use a proper mobile interface for the OPAC.

A testcase in attach. It requires:
- setup of SRU server
- SRU address and port at line 23 and 24 of srugw.pl
- install srugw.pl in your web server to act as a CGI
- verify its path at line 219 of index.html
- install index.html in the doc root/mobile of Apache
- install koha-logo.gif in opac-tmpl/prog/images/koha-logo.gif.

Known limitations:
- MARC21 only
- results pagination
- sort not implemented
- I18N not implemented.

Covers are from Google Books (default) or from OpenLibrary. Hardcoded at line 26 of index.html.
Comment 3 Ian Walls 2012-03-09 15:46:42 UTC
Stow Munroe Falls Public Library has created a mobile OPAC and shared it on gitorious:  http://gitorious.org/koha-mobile-web/kohaclone

Methodology:  creates a new directory, koha-tmpl/mobile (and another dir for icons), as well as 11 new mobile-opac-*.pl files in the opac dir.  The bulk of the mobile templates look to actually be in koha-tmpl/opac-tmpl/prog/en, with the mobile-* prefix.  Many of the styles and features are hardcoded to work for SMFPL at this time.

New mobile-opac-*.pl scripts, with differences from their opac-*.pl originals:

mobile-opac-detail.pl : calls the mobile template instead, and has hardcoded changes to the definition of "lost"
mobile-opac-main.pl : calls mobile template instead
mobile-opac-modrequest.pl : redirects to the mobile URL instead
mobile-opac-renew.pl : mobile template and mobile URL redirect
mobile-opac-reserve.pl : mobile template and mobile URL redirect
mobile-opac-search.pl : mobile templates (many), mobile URL redirect, and default numbers of results and pages to show
mobile-opac-shelves.pl : mobile template
mobile-opac-user.pl : mobile template

These files are new, and I'm not sure what their functions are

mobile-opac-detail-hold.pl
mobile-opac-main-hold.pl
mobile-opac-user-hold.pl

So, it looks like by adding a universal piece of logic to determine whether to use the mobile template or not, we could avoid having duplicate copies of these files.  The redirects wouldn't need to be different, because the URLs would stay the same between mobile and desktop versions.

Additional bug reports could be filed to handle the other differences (like default numbers of results, and "lost" definition.

Once the Perl scripts are reconciled, it just becomes a matter of moving the templates into a new directory (koha-tmpl/opac-tmpl/mobile ?), and generalizing for other institutions.
Comment 4 Ian Walls 2012-03-12 18:11:43 UTC
Further investigation shows that the mobile-opac-main-hold.pl and mobile-opac-detail-hold.pl are essentially just copies of mobile-opac-main.pl.  correspondingly, mobile-opac-user-hold.pl is just like mobile-opac-user.pl.
Comment 5 Magnus Enger 2013-02-04 14:26:25 UTC
Did the CCSR theme make this obsolete?
Comment 6 Owen Leonard 2013-08-08 15:20:28 UTC
(In reply to Magnus Enger from comment #5)
> Did the CCSR theme make this obsolete?

I would say yes, not to mention Bug 10309